# Generated by Django 4.1.6 on 2023-03-09 23:46

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0083_workflowcontenttype"),
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
        ("uniweb", "0037_alter_uniwebflexiblepage_content_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="UniwebPersonPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "job",
                    models.CharField(
                        blank=True,
                        help_text="Např. 'Informatik'",
                        max_length=128,
                        null=True,
                        verbose_name="Povolání",
                    ),
                ),
                (
                    "job_function",
                    models.CharField(
                        blank=True,
                        help_text="Např. 'Předseda'",
                        max_length=128,
                        null=True,
                        verbose_name="Funkce",
                    ),
                ),
                ("text", wagtail.fields.RichTextField(blank=True, verbose_name="text")),
                (
                    "email",
                    models.EmailField(
                        blank=True, max_length=254, null=True, verbose_name="Email"
                    ),
                ),
                (
                    "show_email",
                    models.BooleanField(
                        default=True, verbose_name="Zobrazovat email na stránce?"
                    ),
                ),
                (
                    "phone",
                    models.CharField(
                        blank=True, max_length=16, null=True, verbose_name="Telefon"
                    ),
                ),
                (
                    "city",
                    models.CharField(
                        blank=True, max_length=64, null=True, verbose_name="Město/obec"
                    ),
                ),
                ("age", models.IntegerField(blank=True, null=True, verbose_name="Věk")),
                (
                    "is_pirate",
                    models.BooleanField(
                        default=True, verbose_name="Je členem Pirátské strany?"
                    ),
                ),
                (
                    "other_party",
                    models.CharField(
                        blank=True,
                        help_text="Vyplňte pokud osoba není Pirát",
                        max_length=64,
                        null=True,
                        verbose_name="Strana",
                    ),
                ),
                (
                    "facebook_url",
                    models.URLField(
                        blank=True, null=True, verbose_name="Odkaz na Facebook"
                    ),
                ),
                (
                    "instagram_url",
                    models.URLField(
                        blank=True, null=True, verbose_name="Odkaz na Instagram"
                    ),
                ),
                (
                    "twitter_url",
                    models.URLField(
                        blank=True, null=True, verbose_name="Odkaz na Twitter"
                    ),
                ),
                (
                    "youtube_url",
                    models.URLField(
                        blank=True, null=True, verbose_name="Odkaz na Youtube kanál"
                    ),
                ),
                (
                    "flickr_url",
                    models.URLField(
                        blank=True, null=True, verbose_name="Odkaz na Flickr"
                    ),
                ),
                (
                    "custom_web_url",
                    models.URLField(
                        blank=True, null=True, verbose_name="Odkaz na vlastní web"
                    ),
                ),
                (
                    "other_urls",
                    wagtail.fields.StreamField(
                        [
                            (
                                "other_url",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="Název", required=True
                                            ),
                                        ),
                                        (
                                            "url",
                                            wagtail.blocks.URLBlock(
                                                label="URL", required=True
                                            ),
                                        ),
                                        (
                                            "custom_icon",
                                            wagtail.blocks.CharBlock(
                                                help_text="Pro vlastní ikonku zadejde název ikonky z https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons (bez tečky), např. 'ico--beer'",
                                                label="Vlastní ikonka ze styleguide",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Další odkaz",
                    ),
                ),
                (
                    "background_photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek do záhlaví",
                    ),
                ),
                (
                    "other_party_logo",
                    models.ForeignKey(
                        blank=True,
                        help_text="Vyplňte pokud osoba není Pirát",
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Logo strany",
                    ),
                ),
                (
                    "profile_photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="profilová fotka",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Detail osoby",
                "ordering": ("title",),
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="UniwebPeoplePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                        "embed",
                                    ],
                                    label="Textový editor",
                                ),
                            ),
                            (
                                "people_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "group_title",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek", required=True
                                            ),
                                        ),
                                        (
                                            "person_list",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "position",
                                                            wagtail.blocks.CharBlock(
                                                                label="Název pozice",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "person",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Osoba",
                                                                page_type=[
                                                                    "uniweb.UniwebPersonPage"
                                                                ],
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="List osob",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Obsah stránky",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Lidé",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
